Bug 38181 - Redistribute Citrix Receiver
Redistribute Citrix Receiver
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Terminal services
UCC 2.1
Other Linux
: P5 enhancement
: UCC 2.1
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-01 06:07 CEST by Stefan Gohmann
Modified: 2015-08-07 15:48 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-04-01 06:07:20 CEST
The Cirtix Receiver should be part of the default UCC images. As far as I know, we have to run the "Citrix XenDesktop Thin Client Test Kits" tests. Please also add the tests to the product test pages.

Please ask Nico about the "Citrix Receiver Distribution Agreement".
Comment 1 Nico Gulden univentionstaff 2015-04-07 12:46:54 CEST
(In reply to Stefan Gohmann from comment #0)
> Please ask Nico about the "Citrix Receiver Distribution Agreement".

The "Citrix Receiver Distribution Addendum" has already been signed (02. Feb 2015).
Comment 2 Erik Damrose univentionstaff 2015-07-07 16:28:17 CEST
If we use the just released receiver 13.2, we will have to deactivate the popup which asks if flash should be redirected to the local client:

http://docs.citrix.com/en-us/receiver/linux/13-2/linux-optimize-wrapper.html
 HDXFlashUseFlashRemoting
Comment 3 Michael Grandjean univentionstaff 2015-07-08 11:34:50 CEST
(In reply to Erik Damrose from comment #2)
> If we use the just released receiver 13.2, we will have to deactivate the
> popup which asks if flash should be redirected to the local client:
> 
> http://docs.citrix.com/en-us/receiver/linux/13-2/linux-optimize-wrapper.html
>  HDXFlashUseFlashRemoting

Changing the following in /etc/icaclient/config/All_Regions.ini does the trick:

< HDXFlashUseFlashRemoting=
---
> HDXFlashUseFlashRemoting=Always


This is in the section "[Client Engine\Application Launching]" of the All_Regions.ini file.
Comment 4 Erik Damrose univentionstaff 2015-07-09 17:44:05 CEST
r62007 ucc-image-toolkit: integrate receiver and xenapp session by default
r62008 changelog
Comment 5 Erik Damrose univentionstaff 2015-07-10 15:05:12 CEST
As flash is not included in the image its redirection from the server has to be configurable. I converted wfclient.ini to a UCR Template.

r62050 univention-ucc-session-xenapp
Documentation via Bug 38900
Comment 6 Felix Botner univentionstaff 2015-07-15 10:37:39 CEST
OK - icaclient in thinclient image
OK - univention-ucc-session-xenapp
OK - Changelog
Comment 7 Erik Damrose univentionstaff 2015-08-07 15:48:16 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".